import request from '@/utils/request'

// 查询设备按头使用统计列表
export function listUsage(query) {
  return request({
    url: '/device/usage/list',
    method: 'get',
    params: query
  })
}

// 查询设备按头使用统计详细
export function getUsage(id) {
  return request({
    url: '/device/usage/' + id,
    method: 'get'
  })
}

// 新增设备按头使用统计
export function addUsage(data) {
  return request({
    url: '/device/usage',
    method: 'post',
    data: data
  })
}

// 修改设备按头使用统计
export function updateUsage(data) {
  return request({
    url: '/device/usage',
    method: 'put',
    data: data
  })
}

// 删除设备按头使用统计
export function delUsage(id) {
  return request({
    url: '/device/usage/' + id,
    method: 'delete'
  })
}
